<?php 
class AuthorController extends Controller
{
public $layout='/layouts/main';
public function filters()
{
return array(
'accessControl',
);
}
public function accessRules()
{
return array(
array('allow',
'users'=>array('@'),
'actions'=>StaffAccess::allowed(''),
),
array('deny',
'users'=>array('*'),
),
);
}
public function actionView($id)
{

$this->render('view',array(
'model'=>$this->loadModel($id),
));
}
public function actionCreate()
{
$model=new Author;
if(isset($_POST['Author']))
{
$model->attributes=$_POST['Author'];
if($model->save()) {
Y::user()->setFlash ('admin','Запись добавлена');
$this->redirect(array ('author/index'));
}
}

$this->render('create',array(
'model'=>$model,
));
}
public function actionUpdate($id)
{
$model=$this->loadModel($id);
if(isset($_POST['Author']))
{
$model->attributes=$_POST['Author'];
if($model->save()) {
Y::user()->setFlash ('admin','Изменения сохранены');
$this->redirect(array ('author/index'));
}
}

$this->render('update',array(
'model'=>$model,
));
}
public function actionDelete($id)
{
if(Yii::app()->request->isPostRequest)
{
if ($id==1) die ('Извините, но автор с ID=1 не может быть удалён');
$this->loadModel($id)->delete();
if(!isset($_GET['ajax'])) {
Y::user()->setFlash ('admin','Запись удалена');
$this->redirect(isset($_POST['returnUrl']) ?$_POST['returnUrl'] : array('index'));
}
}
else
throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
}
public function actionIndex()
{
$model=new Author('search');
$model->unsetAttributes();
if(isset($_GET['Author']))
$model->attributes=$_GET['Author'];

$this->render('index',array(
'model'=>$model,
));
}
public function loadModel($id)
{
$model=Author::model()->findByPk($id);
if($model===null)
throw new CHttpException(404,'The requested page does not exist.');
return $model;
}
protected function performAjaxValidation($model)
{
if(isset($_POST['ajax']) &&$_POST['ajax']==='author-form')
{
echo CActiveForm::validate($model);
Yii::app()->end();
}
}
};