<?php 
class CuponController extends Controller
{
public $layout='/layouts/main';
public function filters()
{
return array(
'accessControl',
);
}
public function accessRules()
{
return array(
array('allow',
'users'=>array('@'),
'actions'=>StaffAccess::allowed('cupon'),
),
array('deny',
'users'=>array('*'),
),
);
}
public function actionView($id)
{

$this->render('view',array(
'model'=>$this->loadModel($id),
));
}
public function actionCreate()
{
$model=new Cupon;

if(isset($_POST['Cupon']))
{
$model->attributes=$_POST['Cupon'];
$model->startDate = H::dateParse ($model->startDate);
$model->stopDate = H::dateParse ($model->stopDate);
if($model->validate()) {
if ($model->pack<1) {
if($model->save()) {
Y::user()->setFlash ('admin','Запись добавлена');
$this->redirect(array('view','id'=>$model->id));
}
}else {
$cpid = $model->code;
for ($i=1;$i<=$model->pack;$i++) 
{
$mm = clone $model;
$mm->code = $cpid .H::random_string('lower',15);
$mm->save ();
}
Y::user()->setFlash ('admin','Купоны созданы');
$this->redirect(array('cupon/index','Cupon[category_id]'=>$model->category_id));
}
}
$model->startDate = H::date ($model->startDate);
$model->stopDate = H::date ($model->stopDate);
}else {
$model->pack = 0;
}
$this->render('create',array(
'model'=>$model,
));
}
public function actionUpdate($id)
{
$model=$this->loadModel($id);
$model->startDate = H::date ($model->startDate);
$model->stopDate = H::date ($model->stopDate);
if(isset($_POST['Cupon']))
{
$model->attributes=$_POST['Cupon'];
$model->startDate = H::dateParse ($model->startDate);
$model->stopDate = H::dateParse ($model->stopDate);
if($model->save()) {
Y::user()->setFlash ('admin','Изменения сохранены');
$this->redirect(array('view','id'=>$model->id));
}
$model->startDate = H::date ($model->startDate);
$model->stopDate = H::date ($model->stopDate);
}

$this->render('update',array(
'model'=>$model,
));
}
public function actionDelete($id)
{
if(Yii::app()->request->isPostRequest)
{
$this->loadModel($id)->delete();
if(!isset($_GET['ajax'])) {
Y::user()->setFlash ('admin','Запись удалена');
$this->redirect(isset($_POST['returnUrl']) ?$_POST['returnUrl'] : array('index'));
}
}
else
throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
}
public function actionIndex()
{
$model=new Cupon('search');
$model->unsetAttributes();
if(isset($_GET['Cupon']))
$model->attributes=$_GET['Cupon'];

$this->render('index',array(
'model'=>$model,
));
}
public function loadModel($id)
{
$model=Cupon::model()->findByPk((int)$id);
if($model===null)
throw new CHttpException(404,'The requested page does not exist.');
return $model;
}
protected function performAjaxValidation($model)
{
if(isset($_POST['ajax']) &&$_POST['ajax']==='cupon-form')
{
echo CActiveForm::validate($model);
Yii::app()->end();
}
}
};