<?php 
class GoodController extends Controller
{
public $layout='/layouts/main';
public function filters()
{
return array(
'accessControl',
);
}
public function accessRules()
{
return array(
array('allow',
'users'=>array('@'),
'actions'=>StaffAccess::allowed('good'),
),
array('deny',
'users'=>array('*'),
),
);
}
public function actionView($id)
{

$this->render('view',array(
'model'=>$this->loadModel($id),
));
}
public function actionCreate()
{
$model=new Good;

if(isset($_POST['Good']))
{
$model->attributes=$_POST['Good'];
if($model->save()) {
Y::user()->setFlash ('admin','Запись добавлена');
$this->redirect(array ('good/index'));
}
}else {
$model->used = 1;
$let = Letter::model()->findByPk('good_default_letter');
if ($let!=FALSE) {
$model->letterSubject = $let->subject;
$model->letterType = $let->type;
$model->letterText = $let->message;
}
}
$this->render('create',array(
'model'=>$model,
));
}
public function actionUpdate($id)
{
$model=$this->loadModel($id);

if(isset($_POST['Good']))
{
$model->attributes=$_POST['Good'];
if($model->save()) {
Y::user()->setFlash ('admin','Изменения сохранены');
$this->redirect(array ('good/index'));
}
}
$this->render('update',array(
'model'=>$model,
));
}
public function actionDelete($id)
{
if(Yii::app()->request->isPostRequest)
{
$this->loadModel($id)->delete();
if(!isset($_GET['ajax'])) {
Y::user()->setFlash ('admin','Запись удалена');
$this->redirect(isset($_POST['returnUrl']) ?$_POST['returnUrl'] : array('index'));
}
}
else
throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
}
public function actionIndex($used = 1)
{

$model=new Good('search');
$model->unsetAttributes();
if(isset($_GET['Good']))
$model->attributes=$_GET['Good'];
$model->used = $used;
$this->render('index',array(
'model'=>$model,
));
}
public function loadModel($id)
{
$model=Good::model()->findByPk($id);
if($model===null)
throw new CHttpException(404,'The requested page does not exist.');
return $model;
}
protected function performAjaxValidation($model)
{
if(isset($_POST['ajax']) &&$_POST['ajax']==='good-form')
{
echo CActiveForm::validate($model);
Yii::app()->end();
}
}
public function actionSend ($id) {
$model = $this->loadModel($id);

if (!empty($_POST)) {
$email = strtolower ($_POST['email']);
if (!preg_match("/^([a-z0-9\+_\-]+)(\.[a-z0-9\+_\-]+)*@([a-z0-9\-]+\.)+[a-z]{2,6}$/ix",$email)) {
die ('Неверный формат e-mail');
}
$uname = trim($_POST['uname']);
$model->sendGood ($uname,$email);
Y::user()->setFlash ('admin','Товар отправлен на e-mail '.$email);
$this->redirect(array('view','id'=>$model->id));
}
$this->render('send',array(
'model'=>$model,
));
}
};